# List available hotel rooms

This endpoint returns the cheapest available room for each hotel matching your check-in and check-out dates.
You can search for hotels in a city, or for a specific list of (upto 300) hotels by hotel_ids.
Here you will find whether the price included breakfast or other meals, as well as whether it is possible to cancel for free.
It is possible to have a breakdown of the price returned by this endpoint and to filter by property types and/or hotel facilities.

Endpoint: GET /demand-api-v2-compatible/hotelAvailability
Version: 1.1
Security: BearerAuth

## Query parameters:

  - `hotelAvailabilityInputDto` (object, required)

## Header parameters:

  - `Accept` (string)
    Enum: "application/json"

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.ruid` (string)

  - `result` (array)

  - `result.hotel_id` (integer)
    The unique identifier of this hotel.

  - `result.hotel_currency_code` (string)
    The currency code of the hotel's currency.

  - `result.price` (number)
    The display price of the room in this hotel.
    Example: 100

  - `result.net_price` (number)
    The net price (price without charges) of the room in this hotel.
    Example: 90


